Usuários
Criar usuário
Cria um gerente ou um operador de POS e o vincula à loja.
POST
/manager/user/createAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/user/create" \ -H "Content-Type: application/json" \ -d '{ "name": "João Operador", "email": "joao.operador@exemplo.com.br", "user_type": "OPER" }'{
"email": "joao.operador@exemplo.com.br",
"pos_password": "48219"
}{
"status": 400,
"data": {
"message": "User already exists",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/create"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/create"
}
}{
"status": 404,
"data": {
"message": "Store not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/create"
}
}{
"status": 500,
"data": {
"message": "Erro ao criar usuario",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/create"
}
}